CURRENTPWD=`pwd`
cd /mnt/nand1-1/wifi_usb
ifconfig lo up
if [ "`lsmod | grep 8188eu.ko`" = "" ]; then
     insmod drivers/8188eu.ko
else
     echo "module $DRIVER is exist"
fi

WIFI_PATH=$PWD
source $PWD/network_config
AP_IF=wlan1
STA_IF=wlan0

#STA_CONF=$WIFI_PATH/wpa_supplicant.conf
STA_CONF=/tmp/wpa_supplicant.conf
WPA_CTRL=/var/run/wpa_supplicant
STA_WPA=$WIFI_PATH/wpa_supplicant
STA_CLI=$WIFI_PATH/wpa_cli
AP_CONF=/tmp/hostapd.conf
ifconfig $STA_IF up
ifconfig $AP_IF up
 
#echo "AP_SSID=$AP_SSID"
#echo "DEVICE_NAME=$DEVICE_NAME"
if [ $AP_SSID == "DEFAULT" ]; then
	if [ -s /mnt/nand1-1/wifi_usb/hw_info ]; then
		source /mnt/nand1-1/wifi_usb/hw_info
	else
		DEVICE=Z8
	fi		
	AP_SSID=${DEVICE}_$(ifconfig | grep $AP_IF | awk '{print $5}' | awk -F: '{print $3 $4 $5 $6}')
	sed -i "/AP_SSID/s/^.*$/AP_SSID=\"${AP_SSID}\"/g" /mnt/nand1-1/wifi_usb/network_config
	sed -i '/AP_AUTH_KEY/s/^.*$/AP_AUTH_KEY=\"12345678\"/g' /mnt/nand1-1/wifi_usb/network_config
	AP_AUTH_KEY=12345678
#	echo "AP_SSID=$AP_SSID"
#	echo "AP_AUTH_KEY=$AP_AUTH_KEY"	
fi
	echo "AP_ENABLE=$AP_ENABLE"
if [ $AP_ENABLE == "YES" ]; then	
#	echo "hostapd.conf.default > $AP_CONF"
#	echo "AP_SSID=$AP_SSID"
#	echo "AP_AUTH_KEY=$AP_AUTH_KEY"
			
#	cat hostapd.conf.default > $AP_CONF
	cp hostapd.conf.default $AP_CONF
	echo "ssid=$AP_SSID" >> $AP_CONF
	echo "wpa_passphrase=$AP_AUTH_KEY" >> $AP_CONF		
	$WIFI_PATH/hostapd $AP_CONF -B
	ifconfig $AP_IF $AP_IPADDR netmask 255.255.255.0
	./dnsmasq --conf-file=$WIFI_PATH/dnsmasq.conf --pid-file=/tmp/dnsmasq.pid --user=root --group=root &
fi
#echo "STA_ENABLE=$STA_ENABLE"
echo "ctrl_interface=/var/run/wpa_supplicant" > $STA_CONF
echo "ctrl_interface_group=0" >> $STA_CONF
echo "update_config=1" >> $STA_CONF
echo "network={" >> $STA_CONF
echo "scan_ssid=1" >> $STA_CONF
echo "psk=\"very secret passphrase\"" >> $STA_CONF
echo "priority=5" >> $STA_CONF
echo "}" >> $STA_CONF	
if [ $STA_ENABLE = "YES" ]; then	
#	echo "start supplicant"
#	$STA_WPA -i$STA_IF -Dwext -c$STA_CONF -B
#	udhcpc -i $STA_IF -T 2 -A 5 -a -b	
fi
cd $CURRENTPWD
